Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class BasicPropertyAccessor.BasicSetter

    java.lang.Object
      org.hibernate.property.BasicPropertyAccessor.BasicSetter

All Implemented Interfaces:
  Serializable, Setter

Enclosing class:
  BasicPropertyAccessor

    public static final class BasicPropertyAccessor.BasicSetter

extends Object
implements Setter

See Also:
  Serialized Form

Method Summary
`Method` | `getMethod()` Optional operation (return null)
`String` | `getMethodName()` Optional operation (return null)
`void` | `set(Object target, Object value, SessionFactoryImplementor factory)` Set the property value from the given instance
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### set

    public void set(Object target,
                    Object value,
                    SessionFactoryImplementor factory)
             throws HibernateException

  Description copied from interface: `Setter`
  Set the property value from the given instance

  Specified by:
    `set` in interface `Setter`
  Parameters:
    `target` - The instance upon which to set the given value.
    `value` - The value to be set on the target.
    `factory` - The session factory from which this request originated.
  Throws:
    `HibernateException`

### getMethod

    public Method getMethod()

  Description copied from interface: `Setter`
  Optional operation (return null)

  Specified by:
    `getMethod` in interface `Setter`

### getMethodName

    public String getMethodName()

  Description copied from interface: `Setter`
  Optional operation (return null)

  Specified by:
    `getMethodName` in interface `Setter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD